using MasaBlazorApp3.Pojo;
using MasaBlazorApp3.Pojo.Vo;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MasaBlazorApp3.DataAccess.Dao
{
    interface ISelfTakeDao
    {
        Task<List<ChannelStock>> GetChannelStocksByDrug(List<DrugInfo> drugInfos);
        Task<List<OrderTakeVo>> getTakeInfoByOrderNo(List<OrderDetail> orderDetails);
        Task<bool> OrderTakeFinish(List<OrderTakeVo> datas,OrderInfo order);
    }
}
